# Fetch image links

`POST /omni/get/images/v2`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Returns images temporary links for requested images. Links are valid for one hour

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  | Id of onboarding for which images are requested. If not present, it will be extracted from token |
| `api-version` | header | string | yes |  |

## Request body

Image types that are requested

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `images` | array[string] | yes |  |

## Responses

### 200

For each requested image type, response contains line in format:

{imageType}: String (base64).

Base64 representation of image. Additionally, if signature image is requested, response will contain an array of all signatures.

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
